import { AdderWithoutExplicitArgs } from "@svelte-add/core/adder/config";
import { TestOptions } from "..";
import { OptionValues, Question } from "@svelte-add/core/adder/options";
export type TestCase = {
    template: string;
    adder: AdderWithoutExplicitArgs;
    options: OptionValues<Record<string, Question>>;
    runSynchronously: boolean;
};
export declare function generateTestCases(adders: AdderWithoutExplicitArgs[]): Promise<Map<string, TestCase[]>>;
export declare function runAdderTests(template: string, adder: AdderWithoutExplicitArgs, options: OptionValues<Record<string, Question>>, testOptions: TestOptions): Promise<void>;
export type AdderError = {
    adder: string;
    template: string;
    message: string;
};
export declare function runTestCases(testCases: Map<string, TestCase[]>, testOptions: TestOptions): Promise<void>;
